App.MyScheduleView = Ember.Component.extend
  layoutName: 'my-schedule'
  classNames: ['schedule-view']
  didInsertElement: ->
    placeholder = @$('#schedule-placeholder')
    events = @get('globals.current_employee.employee_shifts').map( (employee_shift)->employee_shift.get('calendar_event_for_employee') )
    placeholder.fullCalendar
      header:
        left: 'prev,next,today'
        center: 'title'
        right: 'agendaDay,agendaWeek,month'
      selectable: false
      defaultView: 'agendaWeek'
      events: events
      timezone: 'UTC'
      timeFormat: 'H(:mm)'
      axisFormat: 'H:mm'
      lang: moment.locale()



